## django-reversion 1.8

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-reversion.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-reversion.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-reversion"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-reversion"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## django-reversion 1.3.1

=== debian/changelog ===
django-reversion (1.3.1-1) unstable; urgency=low

  * Initial release (Closes: #581926)

 -- Fladischer Michael <FladischerMichael@fladi.at>  Mon, 17 May 2010 10:53:38 +0200

=== debian/control ===
Source: django-reversion
Section: python
Priority: optional
Maintainer: Fladischer Michael <FladischerMichael@fladi.at>
Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.5), python-support, python-django (>= 1.1.1)
Standards-Version: 3.8.4
Homepage: https://code.google.com/p/django-reversion/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/django-reversion/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/django-reversion/trunk/

Package: python-django-reversion
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-django (>= 1.1.1)
Description: Provides comprehensive version control facilities for Django
 Reversion is an extension to the Django web framework that provides 
 comprehensive version control facilities. 
 .
 Features:
  * Roll back to any point in a model's history - an unlimited undo facility!
  * Recover deleted models - never lose data again!
  * Admin integration for maximum usability.
  * Group related changes into revisions that can be rolled back in a single 
    transaction.
  * Automatically save a new version whenever your model changes using Django's 
    flexible signalling framework.
  * Automate your revision management with easy-to-use middleware.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

.PHONY: override_dh_auto_test
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	django-admin startproject testproject
	echo 'DATABASE_ENGINE = "sqlite3"' > testproject/settings.py
	echo 'DATABASE_NAME = "testproject/test.db3"' >> testproject/settings.py
	echo 'INSTALLED_APPS = ["reversion","django.contrib.auth","django.contrib.contenttypes","django.contrib.admin","django.contrib.sites","django.contrib.sessions"]' >> testproject/settings.py
	echo 'SITE_ID = 1' >> testproject/settings.py
	echo 'ROOT_URLCONF = "testproject.urls"' >> testproject/settings.py
	PYTHONPATH=".:src" django-admin syncdb --settings=testproject.settings --noinput
	set -e; \
	for python in $(shell pyversions -r); do \
	    PYTHONPATH=".:src" $$python testproject/manage.py test --settings=testproject.settings reversion ; \
	done
	rm -rf testproject
endif

=== debian/watch ===
version=3
opts=\
downloadurlmangle=s|.*[?]name=(.*?)&.*|http://django-reversion.googlecode.com/files/$1|,\
filenamemangle=s|[^/]+[?]name=(.*?)&.*|$1| \
http://code.google.com/p/django-reversion/downloads/detail[?]name=django-reversion-([0-9.]+).tar.gz&.*

## django-reversion 1.5.1

=== debian/changelog ===
django-reversion (1.5.1-1) UNRELEASED; urgency=low

  * New upstream release.
  * Set PMPT as maintainer and myself as uploader.
  * Build .mo i18n files during build.
  * Use DEP5 for copyright file.
  * Drop debian/pyversions in favour of XS-Python-Version.
  * Update debian/watch to use http://githubredir.debian.net/.
  * Bumped Standards-Version to 3.9.2 (no change necessary).
  * Include upstream changelog.
  * Simplify debian/rules by using a static settings.py.
  * Update settings.py to Django-1.3 DATABASES format.
  * Bumped python-django dependency to (>= 1.3).
  * Add local-options to debian/source.
  * Streamlined files in debian/ with `wrap-and-sort`.
  * README has been renamed to README.markdown.
  * Update format URL in d/copyright.
  * Change order of my name.
  * Switch to dh_python2.
  * Temporary fix for Metadata-Version in django_reversion-1.5.1.egg-
    info.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 28 Dec 2011 22:01:29 +0100

django-reversion (1.3.1-2) unstable; urgency=low

  * Update to Debian policy 3.9.0.

 -- Fladischer Michael <FladischerMichael@fladi.at>  Mon, 05 Jul 2010 12:54:45 +0200

=== debian/control ===
Source: django-reversion
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
Build-Depends: debhelper (>= 7.0.50~),
               python-all (>= 2.6.6-3~),
               python-django (>= 1.3),
               python-pybabel
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Homepage: https://code.google.com/p/django-reversion/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/django-reversion/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/django-reversion/trunk/

Package: python-django-reversion
Architecture: all
Depends: python-django (>= 1.3), ${misc:Depends}, ${python:Depends}
Description: Provides comprehensive version control facilities for Django
 Reversion is an extension to the Django web framework that provides
 comprehensive version control facilities.
 .
 Features:
  * Roll back to any point in a model's history - an unlimited undo facility!
  * Recover deleted models - never lose data again!
  * Admin integration for maximum usability.
  * Group related changes into revisions that can be rolled back in a single
    transaction.
  * Automatically save a new version whenever your model changes using Django's
    flexible signalling framework.
  * Automate your revision management with easy-to-use middleware.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2

.PHONY: override_dh_auto_test
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	django-admin startproject testproject
	cp debian/settings.py testproject/settings.py
	PYTHONPATH=".:src" django-admin syncdb --settings=testproject.settings --noinput
	set -e; \
	for python in $(shell pyversions -r); do \
		PYTHONPATH=".:src" $$python testproject/manage.py test --settings=testproject.settings reversion ; \
	done
	rm -rf testproject
endif

.PHONY: override_dh_auto_build
override_dh_auto_build:
	for loc in src/reversion/locale/*; do \
		python setup.py compile_catalog --directory src/reversion/locale/ --locale $$(basename $$loc) --domain django; \
	done
	dh_auto_build

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.markdown

.PHONY: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install
	sed -i 's/Metadata-Version: 1\.0/Metadata-Version: 1\.1/' debian/python-django-reversion/usr/lib/python2.*/*-packages/django_reversion-*.egg-info

## django-reversion 1.6

=== debian/changelog ===
django-reversion (1.6-1) UNRELEASED; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.3.
  * Update years in d/copyright.
  * Update DEP-5 URL to 1.0.
  * Increase dependency on python-django to >= 1.4.
  * Add python-django-south to B-D and Recommends.
  * Drop our own test project and use the one shipped by upstream.
  * Add 'set -e' to for loop in override_dh_auto_build.
  * Fix indent in d/copyright.
  * Remove d/s/local-options.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Thu, 05 Apr 2012 07:30:17 +0200

django-reversion (1.5.1-1) unstable; urgency=low

  * New upstream release.
  * Set PMPT as maintainer and myself as uploader.
  * Build .mo i18n files during build.
  * Use DEP5 for copyright file.
  * Drop debian/pyversions in favour of XS-Python-Version.
  * Update debian/watch to use http://githubredir.debian.net/.
  * Bumped Standards-Version to 3.9.2 (no change necessary).
  * Include upstream changelog.
  * Simplify debian/rules by using a static settings.py.
  * Update settings.py to Django-1.3 DATABASES format.
  * Bumped python-django dependency to (>= 1.3).
  * Add local-options to debian/source.
  * Streamlined files in debian/ with `wrap-and-sort`.
  * README has been renamed to README.markdown.
  * Update format URL in d/copyright.
  * Change order of my name.
  * Switch to dh_python2.
  * Temporary fix for Metadata-Version in django_reversion-1.5.1.egg-
    info.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 28 Dec 2011 22:01:29 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
 Build-Depends: debhelper (>= 7.0.50~),
                python-all (>= 2.6.6-3~),
-               python-django (>= 1.3),
+               python-django (>= 1.4),
+               python-django-south,
                python-pybabel
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.5
 Homepage: https://code.google.com/p/django-reversion/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/django-reversion/trunk/
@@ -16,6 +17,7 @@
 Package: python-django-reversion
 Architecture: all
 Depends: python-django (>= 1.3), ${misc:Depends}, ${python:Depends}
+Recommends: python-django-south
 Description: Provides comprehensive version control facilities for Django
  Reversion is an extension to the Django web framework that provides
  comprehensive version control facilities.

=== debian/rules ===
--- 
+++ 
@@ -5,18 +5,15 @@
 .PHONY: override_dh_auto_test
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	django-admin startproject testproject
-	cp debian/settings.py testproject/settings.py
-	PYTHONPATH=".:src" django-admin syncdb --settings=testproject.settings --noinput
 	set -e; \
 	for python in $(shell pyversions -r); do \
-		PYTHONPATH=".:src" $$python testproject/manage.py test --settings=testproject.settings reversion ; \
+		PYTHONPATH=src $$python src/test_project/manage.py test --settings=test_project.settings; \
 	done
-	rm -rf testproject
 endif
 
 .PHONY: override_dh_auto_build
 override_dh_auto_build:
+	set -e; \
 	for loc in src/reversion/locale/*; do \
 		python setup.py compile_catalog --directory src/reversion/locale/ --locale $$(basename $$loc) --domain django; \
 	done

=== debian/watch ===
version=3
opts=filenamemangle=s/.*-([\d\.]+)\.tar\.gz/django-reversion-$1\.tar\.gz/ \
http://githubredir.debian.net/github/etianen/django-reversion /github/etianen/django-reversion/release-([\d\.]+)\.tar\.gz

## django-reversion 1.6.6

=== debian/changelog ===
django-reversion (1.6.6-1) unstable; urgency=low

  [ Michael Fladischer ]
  * New upstream release.
  * Use github tags directly in d/watch.
  * Run tests with django-admin and manage.py.
  * Bump dependency on django to >= 1.4.4.
  * Drop temporary fix for PKG-INFO.
  * Update years in d/copyright.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Thu, 24 Jan 2013 07:54:56 +0100

django-reversion (1.6-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.3.
  * Update years in d/copyright.
  * Update DEP-5 URL to 1.0.
  * Increase dependency on python-django to >= 1.4.
  * Add python-django-south to B-D and Recommends.
  * Drop our own test project and use the one shipped by upstream.
  * Add 'set -e' to for loop in override_dh_auto_build.
  * Fix indent in d/copyright.
  * Remove d/s/local-options.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Thu, 05 Apr 2012 07:30:17 +0200

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,18 @@
 Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
 Build-Depends: debhelper (>= 7.0.50~),
                python-all (>= 2.6.6-3~),
-               python-django (>= 1.4),
+               python-django (>= 1.4.4),
                python-django-south,
                python-pybabel
 Standards-Version: 3.9.3
 X-Python-Version: >= 2.5
 Homepage: https://code.google.com/p/django-reversion/
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/django-reversion/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/django-reversion/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-reversion/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/django-reversion/trunk/
 
 Package: python-django-reversion
 Architecture: all
-Depends: python-django (>= 1.3), ${misc:Depends}, ${python:Depends}
+Depends: python-django (>= 1.4.4), ${misc:Depends}, ${python:Depends}
 Recommends: python-django-south
 Description: Provides comprehensive version control facilities for Django
  Reversion is an extension to the Django web framework that provides

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2

.PHONY: override_dh_auto_test
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	django-admin startproject testproject
	if [ -d testproject/testproject ]; then \
		cp debian/settings.py testproject/testproject/settings.py; \
	else \
		cp debian/settings.py testproject ; \
	fi
	set -e; \
	for python in $(shell pyversions -r); do \
		rm -f testproject/test.db3 ; \
		PYTHONPATH="src:testproject" $$python testproject/manage.py test --settings=testproject.settings reversion ; \
	done
endif

.PHONY: override_dh_auto_build
override_dh_auto_build:
	set -e; \
	for loc in src/reversion/locale/*; do \
		python setup.py compile_catalog --directory src/reversion/locale/ --locale $$(basename $$loc) --domain django; \
	done
	dh_auto_build

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.markdown

## django-reversion 1.8

=== debian/changelog ===
django-reversion (1.8-2) unstable; urgency=low

  * Use correct BSD-3-clause license in d/copyright.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Fri, 22 Nov 2013 07:27:22 +0100

django-reversion (1.8-1) unstable; urgency=low

  * New upstream release.
  * Bump django to >= 1.6 in Depends and Build-Depends.
  * Bump Standards version to 3.9.5.
  * Add a spearate package for the upstream documentation.
    + Add python-sphinx (>= 1.0.7+dfsg) to Build-Depends.
    + Load sphinxdoc addon for debhelper.
    + Build documentation with sphinx.
    + Clean up documentation after build.
    + Suggest python-django-reversion-doc from python-django-reversion
      package.
  * Change upstream changelog name to CHANGELOG.rst.
  * Change upstream readme name to README.rst.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Thu, 07 Nov 2013 13:07:55 +0100

django-reversion (1.7.1-1) unstable; urgency=low

  * New upstream release (Closes: #702080).
  * Bump Depends and Build-Depends on python-django to >= 1.5.
  * Bump Standards version to 3.9.4.
  * Bump Build-Depends on debhelper to >= 8.1.0 to satisfy build-arch
    and build-indep targets.
  * Change python-pybabel to python-babel in Build-Depends.
  * Drop versioned Build-Depends on python-all as no prior versions are
    available in Wheezy.
  * Update homepage URL in d/control (Closes: #702078).
  * Remove testproject directory to allow two builds in a row.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Mon, 04 Nov 2013 14:34:46 +0100

=== debian/control ===
Source: django-reversion
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
Build-Depends: debhelper (>= 8.1.0~),
               python-all,
               python-babel,
               python-django (>= 1.6),
               python-django-south,
               python-sphinx (>= 1.0.7+dfsg)
Standards-Version: 3.9.5
X-Python-Version: >= 2.5
Homepage: https://github.com/etianen/django-reversion
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-reversion/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/django-reversion/trunk/

Package: python-django-reversion
Architecture: all
Depends: python-django (>= 1.6), ${misc:Depends}, ${python:Depends}
Recommends: python-django-south
Suggests: python-django-reversion-doc
Description: Provides comprehensive version control facilities for Django
 Reversion is an extension to the Django web framework that provides
 comprehensive version control facilities.
 .
 Features:
  * Roll back to any point in a model's history - an unlimited undo facility!
  * Recover deleted models - never lose data again!
  * Admin integration for maximum usability.
  * Group related changes into revisions that can be rolled back in a single
    transaction.
  * Automatically save a new version whenever your model changes using Django's
    flexible signalling framework.
  * Automate your revision management with easy-to-use middleware.

Package: python-django-reversion-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Provides comprehensive version control facilities for Django (Documentation)
 Reversion is an extension to the Django web framework that provides
 comprehensive version control facilities.
 .
 Features:
  * Roll back to any point in a model's history - an unlimited undo facility!
  * Recover deleted models - never lose data again!
  * Admin integration for maximum usability.
  * Group related changes into revisions that can be rolled back in a single
    transaction.
  * Automatically save a new version whenever your model changes using Django's
    flexible signalling framework.
  * Automate your revision management with easy-to-use middleware.
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 %:
-	dh $@ --with python2
+	dh $@ --with python2,sphinxdoc
 
 .PHONY: override_dh_auto_test
 override_dh_auto_test:
@@ -24,9 +24,15 @@
 	for loc in src/reversion/locale/*; do \
 		python setup.py compile_catalog --directory src/reversion/locale/ --locale $$(basename $$loc) --domain django; \
 	done
+	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html
 	dh_auto_build
 
 .PHONY: override_dh_installchangelogs
 override_dh_installchangelogs:
-	dh_installchangelogs CHANGELOG.markdown
+	dh_installchangelogs CHANGELOG.rst
 
+.PHONY: override_dh_clean
+override_dh_clean:
+	dh_clean
+	rm -rf docs/.build
+	rm -rf testproject

=== debian/watch ===
version=3
https://github.com/etianen/django-reversion/tags \
/etianen/django-reversion/archive/release-([\d\.]+)\.tar\.gz

## django-reversion 1.8.4

=== debian/changelog ===
django-reversion (1.8.4-1) unstable; urgency=medium

  * New upstream release (Closes: #755612).
  * Add dh-python to Build-Depends.
  * Switch buildsystem to pybuild.
  * Remove superfluous install file.
  * Add Python3 support.
  * Bump Build-Depends and Depends for python(3)-django to (>= 1.7).
  * Bump Standards-Version to 3.9.6.
  * Fix the way upstream tests are run during build.
  * Add lintian override for missing PGP signature on upstream tarballs.
  * Remove PHONY target declarations in d/rules.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Mon, 22 Sep 2014 08:32:54 +0200

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,26 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
 Build-Depends: debhelper (>= 8.1.0~),
+               dh-python,
                python-all,
                python-babel,
-               python-django (>= 1.6),
-               python-django-south,
-               python-sphinx (>= 1.0.7+dfsg)
-Standards-Version: 3.9.5
+               python-django (>= 1.7),
+               python-sphinx (>= 1.0.7+dfsg),
+               python3-all,
+               python3-babel,
+               python3-django (>= 1.7)
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.5
+X-Python3-Version: >= 3.2
 Homepage: https://github.com/etianen/django-reversion
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-reversion/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/django-reversion/trunk/
 
 Package: python-django-reversion
 Architecture: all
-Depends: python-django (>= 1.6), ${misc:Depends}, ${python:Depends}
-Recommends: python-django-south
+Depends: python-django (>= 1.7),
+         ${misc:Depends},
+         ${python:Depends}
 Suggests: python-django-reversion-doc
 Description: Provides comprehensive version control facilities for Django
  Reversion is an extension to the Django web framework that provides
@@ -33,6 +38,28 @@
   * Automatically save a new version whenever your model changes using Django's
     flexible signalling framework.
   * Automate your revision management with easy-to-use middleware.
+
+Package: python3-django-reversion
+Architecture: all
+Depends: python3-django (>= 1.7),
+         ${misc:Depends},
+         ${python3:Depends}
+Suggests: python-django-reversion-doc
+Description: Provides comprehensive version control facilities for Django (Python3 version)
+ Reversion is an extension to the Django web framework that provides
+ comprehensive version control facilities.
+ .
+ Features:
+  * Roll back to any point in a model's history - an unlimited undo facility!
+  * Recover deleted models - never lose data again!
+  * Admin integration for maximum usability.
+  * Group related changes into revisions that can be rolled back in a single
+    transaction.
+  * Automatically save a new version whenever your model changes using Django's
+    flexible signalling framework.
+  * Automate your revision management with easy-to-use middleware.
+ .
+ This package contains the Python 3 version of the library.
 
 Package: python-django-reversion-doc
 Section: doc

## django-reversion 1.8.7

=== debian/changelog ===
django-reversion (1.8.7-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Tue, 02 Jun 2015 08:38:51 +0200

django-reversion (1.8.6-1) unstable; urgency=medium

  * New upstream release.
  * Add intersphinx.patch to use local Python objects.inv for
    documentation.
  * Drop unnecessary versioned dependency on python3-django.
  * Change my email address to fladi@debian.org.

 -- Michael Fladischer <fladi@debian.org>  Tue, 19 May 2015 10:32:11 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
+Uploaders: Michael Fladischer <fladi@debian.org>
 Build-Depends: debhelper (>= 8.1.0~),
                dh-python,
                python-all,
@@ -11,7 +11,7 @@
                python-sphinx (>= 1.0.7+dfsg),
                python3-all,
                python3-babel,
-               python3-django (>= 1.7)
+               python3-django
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.2
@@ -41,7 +41,7 @@
 
 Package: python3-django-reversion
 Architecture: all
-Depends: python3-django (>= 1.7),
+Depends: python3-django,
          ${misc:Depends},
          ${python3:Depends}
 Suggests: python-django-reversion-doc

=== debian/rules ===
#!/usr/bin/make -f
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-reversion

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for python in $(shell pyversions -r) $(shell py3versions -r); do \
		PYTHONPATH="src" $$python src/tests/runtests.py ; \
	done
endif

override_dh_auto_build:
	set -e; \
	for loc in src/reversion/locale/*; do \
		python setup.py compile_catalog --directory src/reversion/locale/ --locale $$(basename $$loc) --domain django; \
	done
	dh_auto_build
	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

override_dh_clean:
	dh_clean
	rm -rf docs/.build

## django-reversion 1.10.0

=== debian/changelog ===
django-reversion (1.10.0-1) unstable; urgency=low

  [ Michael Fladischer ]
  * New upstream release.
  * Update Source filed in d/copyright to point to github repository.
  * CHANGELOG.rst has been renamed to CHANGELOG.md.

  [ SVN-Git Migration ]
  * git-dpm config
  * Update Vcs fields for git migration

 -- Michael Fladischer <fladi@debian.org>  Fri, 04 Dec 2015 17:22:55 +0100

django-reversion (1.9.3-1) unstable; urgency=low

  * New upstream release.
  * Use pybuild to execute tests.
  * Add python(3)-setuptools to Build-Depends.
  * Clean metadata files to allow two builds in a row.
  * Bump debhelper compatibility level to 9.

 -- Michael Fladischer <fladi@debian.org>  Tue, 11 Aug 2015 09:31:12 +0200

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,23 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Michael Fladischer <fladi@debian.org>
-Build-Depends: debhelper (>= 8.1.0~),
+Build-Depends: debhelper (>= 9),
                dh-python,
                python-all,
                python-babel,
                python-django (>= 1.7),
+               python-setuptools,
                python-sphinx (>= 1.0.7+dfsg),
                python3-all,
                python3-babel,
-               python3-django
+               python3-django,
+               python3-setuptools
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.2
 Homepage: https://github.com/etianen/django-reversion
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/django-reversion/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/django-reversion/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/django-reversion.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-reversion.git
 
 Package: python-django-reversion
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,12 +9,7 @@
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	set -e; \
-	for python in $(shell pyversions -r) $(shell py3versions -r); do \
-		PYTHONPATH="src" $$python src/tests/runtests.py ; \
-	done
-endif
+	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="python{version} src/tests/manage.py test src/tests/test_reversion/" dh_auto_test
 
 override_dh_auto_build:
 	set -e; \
@@ -25,7 +20,7 @@
 	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html
 
 override_dh_installchangelogs:
-	dh_installchangelogs CHANGELOG.rst
+	dh_installchangelogs CHANGELOG.md
 
 override_dh_clean:
 	dh_clean

## django-reversion 1.10.2

=== debian/changelog ===
django-reversion (1.10.2-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Michael Fladischer ]
  * New upstream release.
  * Switch to python3-sphinx and drop versioned Build-Depends.
  * Bump Standards-Version to 3.9.8.

 -- Michael Fladischer <fladi@debian.org>  Fri, 22 Apr 2016 22:36:16 +0200

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,16 @@
                python-babel,
                python-django (>= 1.7),
                python-setuptools,
-               python-sphinx (>= 1.0.7+dfsg),
                python3-all,
                python3-babel,
                python3-django,
-               python3-setuptools
-Standards-Version: 3.9.6
+               python3-setuptools,
+               python3-sphinx
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.2
 Homepage: https://github.com/etianen/django-reversion
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/django-reversion.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-reversion.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-reversion.git
 
 Package: python-django-reversion

## django-reversion 2.0.8

=== debian/changelog ===
django-reversion (2.0.8-1) unstable; urgency=low

  * New upstream release.
  * Update d/watch to match new upstream versioning scheme.
  * Drop intersphinx patch as upstream no longer uses it in their
    documentation.
  * Adapt d/rules to new upstream source layout.
  * Add python(3)-mock to Build-Depends as they are required to run the
    tests.
  * Change name of upstream changelog to CHANGELOG.rst.
  * Use https:// for copyright-format 1.0 URL.

 -- Michael Fladischer <fladi@debian.org>  Tue, 29 Nov 2016 23:05:36 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,12 @@
                python-all,
                python-babel,
                python-django (>= 1.7),
+               python-mock,
                python-setuptools,
                python3-all,
                python3-babel,
                python3-django,
+               python3-mock,
                python3-setuptools,
                python3-sphinx
 Standards-Version: 3.9.8

=== debian/rules ===
#!/usr/bin/make -f
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-reversion

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="python{version} tests/manage.py test tests" dh_auto_test

override_dh_auto_build:
	set -e; \
	for loc in reversion/locale/*; do \
		python setup.py compile_catalog --directory reversion/locale/ --locale $$(basename $$loc) --domain django; \
	done
	dh_auto_build
	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

override_dh_clean:
	dh_clean
	rm -rf docs/.build

## django-reversion 2.0.9

=== debian/changelog ===
django-reversion (2.0.9-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.0.0.
  * Add patch to fix babel build isues.

 -- Michael Fladischer <fladi@debian.org>  Thu, 22 Jun 2017 10:10:46 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python3-mock,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.2
 Homepage: https://github.com/etianen/django-reversion

## django-reversion 2.0.13

=== debian/changelog ===
django-reversion (2.0.13-1) unstable; urgency=low

  * New upstream release.
  * Always use pristine-tar.
  * Refresh patches.
  * Bump debhelper compatibility and version to 11.
  * Bump Standards-Version to 4.1.3.
  * Bump required Django version to 1.11.
  * Bump minimum required Python2 version to 2.7 and Python3 to 3.4.
  * Remove lintian override for missing GPG signature check on source
    tarball to serve as a reminder to improve on this.
  * Build documentation in override_dh_sphinxdoc.

 -- Michael Fladischer <fladi@debian.org>  Sat, 27 Jan 2018 11:59:38 +0100

django-reversion (2.0.12-1) unstable; urgency=low

  * New upstream release (Closes: #873910).
  * Refresh patches.
  * Bump Standards-Version to 4.1.1.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Enable autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Fri, 08 Dec 2017 19:55:32 +0100

django-reversion (2.0.10-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches after git-dpm to gbp pq conversion
  * Bump Standards-Version to 4.1.0.

 -- Michael Fladischer <fladi@debian.org>  Thu, 31 Aug 2017 21:21:22 +0200

=== debian/control ===
Source: django-reversion
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper (>= 11),
 dh-python,
 python-all,
 python-babel,
 python-django (>= 1.11),
 python-mock,
 python-setuptools,
 python3-all,
 python3-babel,
 python3-django (>= 1.11),
 python3-mock,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.1.3
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Homepage: https://github.com/etianen/django-reversion
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-reversion.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-reversion.git
Testsuite: autopkgtest-pkg-python

Package: python-django-reversion
Architecture: all
Depends:
 python-django (>= 1.11),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-django-reversion-doc,
Description: Provides comprehensive version control facilities for Django
 Reversion is an extension to the Django web framework that provides
 comprehensive version control facilities.
 .
 Features:
  * Roll back to any point in a model's history - an unlimited undo facility!
  * Recover deleted models - never lose data again!
  * Admin integration for maximum usability.
  * Group related changes into revisions that can be rolled back in a single
    transaction.
  * Automatically save a new version whenever your model changes using Django's
    flexible signalling framework.
  * Automate your revision management with easy-to-use middleware.

Package: python-django-reversion-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Provides comprehensive version control facilities for Django (Documentation)
 Reversion is an extension to the Django web framework that provides
 comprehensive version control facilities.
 .
 Features:
  * Roll back to any point in a model's history - an unlimited undo facility!
  * Recover deleted models - never lose data again!
  * Admin integration for maximum usability.
  * Group related changes into revisions that can be rolled back in a single
    transaction.
  * Automatically save a new version whenever your model changes using Django's
    flexible signalling framework.
  * Automate your revision management with easy-to-use middleware.
 .
 This package contains the documentation.

Package: python3-django-reversion
Architecture: all
Depends:
 python3-django (>= 1.11),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-reversion-doc,
Description: Provides comprehensive version control facilities for Django (Python3 version)
 Reversion is an extension to the Django web framework that provides
 comprehensive version control facilities.
 .
 Features:
  * Roll back to any point in a model's history - an unlimited undo facility!
  * Recover deleted models - never lose data again!
  * Admin integration for maximum usability.
  * Group related changes into revisions that can be rolled back in a single
    transaction.
  * Automatically save a new version whenever your model changes using Django's
    flexible signalling framework.
  * Automate your revision management with easy-to-use middleware.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 #
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+include /usr/share/dpkg/pkg-info.mk
 
 export PYBUILD_NAME=django-reversion
 
@@ -17,7 +19,12 @@
 		python setup.py compile_catalog --directory reversion/locale/ --locale $$(basename $$loc) --domain django; \
 	done
 	dh_auto_build
-	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html
+
+override_dh_sphinxdoc:
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
+	PYTHONPATH=. sphinx-build -D today="$(BUILD_DATE)" -b html -N docs/ $(CURDIR)/debian/python-django-reversion-doc/usr/share/doc/python-django-reversion-doc/html
+	dh_sphinxdoc
+endif
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGELOG.rst

=== debian/watch ===
version=3
https://github.com/etianen/django-reversion/tags \
/etianen/django-reversion/archive/(?:release-|v)([\d\.]+)\.tar\.gz

## django-reversion 3.0.0

=== debian/changelog ===
django-reversion (3.0.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Michael Fladischer ]
  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.2.1.

 -- Michael Fladischer <fladi@debian.org>  Wed, 29 Aug 2018 12:17:05 +0200

=== debian/control ===
--- 
+++ 
@@ -18,12 +18,10 @@
  python3-mock,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.1.3
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.4
+Standards-Version: 4.2.1
 Homepage: https://github.com/etianen/django-reversion
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-reversion.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-reversion.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/django-reversion.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/django-reversion
 Testsuite: autopkgtest-pkg-python
 
 Package: python-django-reversion

## django-reversion 3.0.1

=== debian/changelog ===
django-reversion (3.0.1-1) unstable; urgency=low

  * New upstream release.
  * Install README.rst in Python 3 binary package.

 -- Michael Fladischer <fladi@debian.org>  Sat, 27 Oct 2018 19:22:46 +0200

## django-reversion 3.0.2

=== debian/changelog ===
django-reversion (3.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Sat, 17 Nov 2018 21:44:52 +0100

## django-reversion 3.0.3

=== debian/changelog ===
django-reversion (3.0.3-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.3.0.

 -- Michael Fladischer <fladi@debian.org>  Fri, 01 Feb 2019 11:05:07 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-mock,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/etianen/django-reversion
 Vcs-Git: https://salsa.debian.org/python-team/modules/django-reversion.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/django-reversion

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. sphinx-build -D today="$(BUILD_DATE)" -b html -N docs/ $(CURDIR)/debian/python-django-reversion-doc/usr/share/doc/python-django-reversion-doc/html
+	PYTHONPATH=. python3 -m sphinx -D today="$(BUILD_DATE)" -b html -N docs/ $(CURDIR)/debian/python-django-reversion-doc/usr/share/doc/python-django-reversion-doc/html
 	dh_sphinxdoc
 endif

## django-reversion 3.0.4

=== debian/changelog ===
django-reversion (3.0.4-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper compatibility and version to 12 and switch to
    debhelper-compat.
  * Bump Standards-Version to 4.4.0.
  * Remove Python2 support.

 -- Michael Fladischer <fladi@debian.org>  Wed, 17 Jul 2019 15:36:36 +0200

=== debian/control ===
--- 
+++ 
@@ -5,46 +5,19 @@
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
- python-all,
- python-babel,
- python-django (>= 1.11),
- python-mock,
- python-setuptools,
  python3-all,
  python3-babel,
  python3-django (>= 1.11),
  python3-mock,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/etianen/django-reversion
 Vcs-Git: https://salsa.debian.org/python-team/modules/django-reversion.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/django-reversion
 Testsuite: autopkgtest-pkg-python
-
-Package: python-django-reversion
-Architecture: all
-Depends:
- python-django (>= 1.11),
- ${misc:Depends},
- ${python:Depends},
-Suggests:
- python-django-reversion-doc,
-Description: Provides comprehensive version control facilities for Django
- Reversion is an extension to the Django web framework that provides
- comprehensive version control facilities.
- .
- Features:
-  * Roll back to any point in a model's history - an unlimited undo facility!
-  * Recover deleted models - never lose data again!
-  * Admin integration for maximum usability.
-  * Group related changes into revisions that can be rolled back in a single
-    transaction.
-  * Automatically save a new version whenever your model changes using Django's
-    flexible signalling framework.
-  * Automate your revision management with easy-to-use middleware.
 
 Package: python-django-reversion-doc
 Section: doc

## django-reversion 3.0.5

=== debian/changelog ===
django-reversion (3.0.5-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Set Rules-Requires-Root: no.

 -- Michael Fladischer <fladi@debian.org>  Wed, 11 Dec 2019 17:14:04 +0100

django-reversion (3.0.4-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Team upload.
  * Rebuild and re-upload source-only to allow migration to testing, as it's
    blocked because of that, according to Paul from the release team.

 -- Thomas Goirand <zigo@debian.org>  Sat, 26 Oct 2019 11:47:31 +0200

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,12 @@
  python3-mock,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/etianen/django-reversion
 Vcs-Git: https://salsa.debian.org/python-team/modules/django-reversion.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/django-reversion
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python-django-reversion-doc
 Section: doc

## django-reversion 3.0.7

=== debian/changelog ===
django-reversion (3.0.7-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.5.0.

 -- Michael Fladischer <fladi@debian.org>  Mon, 24 Feb 2020 10:28:55 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-mock,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/etianen/django-reversion
 Vcs-Git: https://salsa.debian.org/python-team/modules/django-reversion.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/django-reversion
